//#############################
//## UPDATE by TERUYUKI SHIMA 
//#############################

/*
 * 作成日: 2005/02/05
 *
 * TODO この生成されたファイルのテンプレートを変更するには次へジャンプ:
 * ウィンドウ - 設定 - Java - コード・スタイル - コード・テンプレート
 */
package jp.co.ntt.lms.xmf.tools;

import jp.co.ntt.lms.xmo.util.XMODate;
import jp.co.ntt.lms.lo.scorm.ScormLoClient;
import jp.co.ntt.lms.lo.scorm.ScormServerInfo;
import jp.co.ntt.lms.xmo.util.HtmlEscape;
import jp.co.ntt.lms.xmo.Environment;
import jp.co.ntt.lms.xmo.MessageData;
import jp.co.ntt.lms.xmo.util.XMODate;
import java.util.*;


/**
 * @author Administrator
 *
 * TODO この生成された型コメントのテンプレートを変更するには次へジャンプ:
 * ウィンドウ - 設定 - Java - コード・スタイル - コード・テンプレート
 */
public class ScormServerInfoTool {
	
	public XMODate getObjDate() throws Exception
	{
			XMODate objDate = new XMODate();
			return objDate;
	}

	public Date getCurrrentdate() throws Exception
	{
			Date currrentdate = new Date();
			return currrentdate;
	}
/*	
	public String getStrCurrentDate(XMODate objDate,Date currrentdate) throws Exception
	{
			String strCurrentDate;
			strCurrentDate = objDate.parseTime(currrentdate);
			return strCurrentDate;
	}
*/
	
	public Environment getObjEnv() throws Exception
	{
			Environment objEnv = new  Environment();
			return objEnv;
	}
	
	public ScormLoClient getObjScormLoClient(String strLoServerName) throws Exception
	{
			ScormLoClient objScormLoClient = new ScormLoClient(strLoServerName);
			return objScormLoClient;
	}
	
	public String getNumberOfUsers(ScormServerInfo serverInfo) throws Exception
	{
			String numberOfUsers = Integer.toString(serverInfo.getNumberOfUsers());
			return numberOfUsers;
	}

	
}
